OPENSC-EXPLORER(1)

NAME
opensc-explorer - generic interactive utility for accessing smart card and similar security token functions

SYNOPSIS

opensc-explorer [OPTIONS]

DESCRIPTION

The opensc-explorer utility can be used interactively to perform miscellaneous operations such as exploring the contents of or sending arbitrary APDU commands to a smart card or similar security token.

OPTIONS

The following are the command-line options for opensc-explorer. There are additional interactive commands available once it is running.

--reader num, -r num
    Use the given reader number. The default is 0, the first reader in the system.

--card-driver driver, -c driver
    Use the given card driver. The default is auto-detected.

--verbose, -v
    Causes opensc-explorer to be more verbose. Specify this flag several times to enable debug output in the opensc library.

COMMANDS

The following commands are supported at the opensc-explorer interactive prompt.

ls
    list all files in the current DF

cd file-id
    change to another DF specified by file-id

cat
    print the contents of the currently selected EF

info [file-id]
    display attributes of a file specified by file-id. If file-id is not supplied, the attributes of the current file are printed.

create file-id size
    create a new EF. file-id specifies the id number and size is the size of the new file.

delete file-id
    remove the EF or DF specified by file-id

verify key-typekey-id [key]
    present a PIN or key to the card. Where key-type can be one of CHV, KEY or PRO. key-id is a number representing the key or PIN number. key is the key or PIN to be verified in hex.

    Example: verify CHV0 31:32:33:34:00:00:00:00

change CHVid [old-pin] new-pin
    change a PIN

    Example: change CHV0 31:32:33:34:00:00:00:00 'secret'

put file-id [input]
    copy a local file to the card. The local file is specified by input while the card file is specified by file-id

get file-id [output]
    copy an EF to a local file. The local file is specified by output while the card file is specified by file-id.

mkdir file-id size
    create a DF. file-id specifies the id number and size is the size of the new file.

pksign
    create a public key signature. NOTE: This command is currently not implemented.

pkdecrypt
    perform a public key decryption. NOTE: This command is currently not implemented.

erase
    erase the card, if the card supports it.

quit
    exit the program

SEE ALSO

opensc(7), opensc-tool(1)